Summary: Random number generator daemon
Name: rng-tools
Version: 5
Release: r0.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: update-rc.d
BuildRequires: update-rc.d-native
BuildRequires: initscripts
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: libgcrypt
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: /bin/sh
Requires: libgcrypt.so.20(GCRYPT_1.6)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.22
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libgcrypt.so.20()(64bit)
Requires: libgcrypt >= 1.6.3
Requires(pre): rtld(GNU_HASH)
Requires(pre): libc.so.6(GLIBC_2.14)(64bit)
Requires(pre): /bin/sh
Requires(pre): libgcrypt.so.20(GCRYPT_1.6)(64bit)
Requires(pre): libc.so.6()(64bit)
Requires(pre): libc6 >= 2.22
Requires(pre): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(pre): libgcrypt.so.20()(64bit)
Requires(pre): libgcrypt >= 1.6.3
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): /bin/sh
Requires(post): libgcrypt.so.20(GCRYPT_1.6)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc6 >= 2.22
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libgcrypt.so.20()(64bit)
Requires(post): libgcrypt >= 1.6.3
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): /bin/sh
Requires(preun): libgcrypt.so.20(GCRYPT_1.6)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc6 >= 2.22
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libgcrypt.so.20()(64bit)
Requires(preun): libgcrypt >= 1.6.3
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): /bin/sh
Requires(postun): libgcrypt.so.20(GCRYPT_1.6)(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc6 >= 2.22
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libgcrypt.so.20()(64bit)
Requires(postun): libgcrypt >= 1.6.3
Suggests: update-rc.d
Provides: elf(buildid) = 34605a98e0499be4a9663af37e0871f6f2bf515d
Provides: elf(buildid) = 344c5d6513a4992eba30d370431253cf7442ca65

%description
Random number generator daemon.

%package -n rng-tools-dbg
Summary: Random number generator daemon - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libgcrypt-dbg
Recommends: rng-tools = 5-r0.0

%description -n rng-tools-dbg
Random number generator daemon.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n rng-tools-staticdev
Summary: Random number generator daemon - Development files (Static Libraries)
Group: devel
Requires: rng-tools-dev = 5-r0.0

%description -n rng-tools-staticdev
Random number generator daemon.  This package contains static libraries for
software development.

%package -n rng-tools-dev
Summary: Random number generator daemon - Development files
Group: devel
Requires: rng-tools = 5-r0.0
Suggests: libc6-dev
Suggests: libgcrypt-dev
Suggests: update-rc.d-dev
Suggests: initscripts-dev

%description -n rng-tools-dev
Random number generator daemon.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n rng-tools-doc
Summary: Random number generator daemon - Documentation files
Group: doc

%description -n rng-tools-doc
Random number generator daemon.  This package contains documentation.

%package -n rng-tools-locale
Summary: Random number generator daemon
Group: base

%description -n rng-tools-locale
Random number generator daemon.

%pre
# rng-tools - preinst
#!/bin/sh
if [ -z "$D" -a -f "/etc/init.d/rng-tools" ]; then
	/etc/init.d/rng-tools stop
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT rng-tools remove
fi


%post
# rng-tools - postinst
#!/bin/sh
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT="-s"
	fi
	update-rc.d $OPT rng-tools defaults
fi


%preun
# rng-tools - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if [ -z "$D" ]; then
	/etc/init.d/rng-tools stop
fi
fi

%postun
# rng-tools - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT rng-tools remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/usr"
%dir "/etc/default"
%dir "/etc/init.d"
"/etc/default/rng-tools"
"/etc/init.d/rng-tools"
%dir "/usr/sbin"
%dir "/usr/bin"
"/usr/sbin/rngd"
"/usr/bin/rngtest"

%files -n rng-tools-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/rngd"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/rngtest"
%dir "/usr/src/debug"
%dir "/usr/src/debug/rng-tools"
%dir "/usr/src/debug/rng-tools/5-r0"
%dir "/usr/src/debug/rng-tools/5-r0/rng-tools-5"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/rngd_rdrand.c"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/fips.h"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/rngd_linux.h"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/rngd_entsource.c"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/rngtest.c"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/stats.h"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/stats.c"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/rngd.h"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/rngd_entsource.h"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/rdrand_asm.S"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/rngd.c"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/util.c"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/rngd_linux.c"
"/usr/src/debug/rng-tools/5-r0/rng-tools-5/fips.c"

%files -n rng-tools-dev
%defattr(-,-,-,-)

%files -n rng-tools-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man1"
"/usr/share/man/man8/rngd.8"
"/usr/share/man/man1/rngtest.1"

